Interface EventEndpointBuilderFactory.EventBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
EventEndpointBuilderFactory
public static interface EventEndpointBuilderFactory.EventBuilders
-
Method Summary
Modifier and TypeMethodDescriptionspringEvent(String path) Spring Event (camel-spring) Listen for Spring Application Events.springEvent(String componentName, String path) Spring Event (camel-spring) Listen for Spring Application Events.
-
Method Details
-
springEvent
Spring Event (camel-spring) Listen for Spring Application Events. Category: messaging Since: 1.4 Maven coordinates: org.apache.camel:camel-spring Syntax:spring-event:namePath parameter: name Name of endpoint- Parameters:
path- name- Returns:
- the dsl builder
-
springEvent
default EventEndpointBuilderFactory.EventEndpointBuilder springEvent(String componentName, String path) Spring Event (camel-spring) Listen for Spring Application Events. Category: messaging Since: 1.4 Maven coordinates: org.apache.camel:camel-spring Syntax:spring-event:namePath parameter: name Name of endpoint- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- name- Returns:
- the dsl builder
-